6.0.0-git
2021-01-19

[#4652] VFS_sql breaks when trying to upload file to root folder
Summary VFS_sql breaks when trying to upload file to root folder
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners
Requester bklang (at) horde (dot) org
Created 2006-11-12 (5182 days ago)
Due
Updated 2006-11-13 (5181 days ago)
Assigned 2006-11-13 (5181 days ago)
Resolved 2006-11-13 (5181 days ago)
Milestone
Patch No

History
2006-11-13 16:54:50 Jan Schneider State ⇒ Resolved
 
2006-11-13 16:48:57 Jan Schneider Deleted Original Message
 
2006-11-13 16:31:55 Ben Klang Comment #3
New Attachment: VFS_sql-upload-into-root-v2.patch Download
Reply to this comment
You're right, that is a much better solution.  Here is an updated 
patch which provides an override for isFolder()
2006-11-13 09:22:15 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Wouldn't it be better to overwrite isFolder() in VFS_sql and fix it 
once for all?
2006-11-12 16:34:51 Ben Klang Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ VFS_sql breaks when trying to upload file to root folder
Queue ⇒ Horde Framework Packages
New Attachment: VFS_sql-upload-into-root.patch
Reply to this comment
Due to the way VFS::isFolder() works, it will always fail when 
checking if '' (VFS_sql's notation for the root folder)is a folder.   
This patch allows files to be uploaded into /

Saved Queries